Groovy Documentation

## org.codehaus.groovy.tools.shell
[Java] Class IO.Verbosity

    java.lang.Object
      org.codehaus.groovy.tools.shell.IO.Verbosity

    public static final class IO.Verbosity

Field Summary
`static Verbosity` | `DEBUG`
`static Verbosity` | `INFO`
`static Verbosity` | `QUIET`
`static Verbosity` | `VERBOSE`
`java.lang.String` | `name`

Method Summary
`static Verbosity` | `forName(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEBUG

    public static final Verbosity DEBUG

### INFO

    public static final Verbosity INFO

### QUIET

    public static final Verbosity QUIET

### VERBOSE

    public static final Verbosity VERBOSE

### name

    public final java.lang.String name

Method Detail

### forName

    public static Verbosity forName(java.lang.String name)

### toString

    public java.lang.String toString()

Groovy Documentation